<template>
  <div class="col-md-12 row mt-4 ml-0 mr-0">
    <div class="mt-2"
      v-for="(comment, index) in listCommentReport(idReportOfUserLogin)"
      :key="index"
    >
      <div class="d-flex flex-row">
        <img :src="convertAvatar(comment.user_id)" class="img" />
        <div style="margin-left: 12px">
          <div class="card-comment">
            <b>{{ convertUser(comment.user_id) }}</b>
            <p class="py-0 my-0">{{ comment.content }}</p>
          </div>
          <div v-if=" idUserLogin === user.user_id || idUserLogin === comment.user_id ">
            <button
              type="button"
              class="button-feedback"
              :comment="comment"
              @click="editComment(comment.id)"
            >
              Sửa
            </button>
            .
            <button
              type="button"
              class="button-feedback"
              @click="deleteComment(comment.id)"
            >
              Xóa
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { AVATAR_MALE, AVATAR_FEMALE, API_COMMENT } from '~/assets/contants/contant'

export default {
  props: [
    'idReportOfUserLogin',
    'listComment',
    'idUserLogin',
    'user',
    'listUser',
    'commentId',
  ],
  data() {
    return {
      comment: '',
      idComment: this.commentId,
    }
  },
  methods: {
    listCommentReport(id) {
      if (this.listComment.length > 0) {
        const result = this.listComment
          .filter(function (e) {
            return e.report_id == id
          })
          .sort(
            (dateFirst, dateSecond) =>
              new Date(dateFirst.created_at) - new Date(dateSecond.created_at)
          )

        if (result) {
          return result
        }
        return ''
      }
      return
    },
    convertAvatar(id) {
      if (this.listUser.length > 0) {
        const user = this.listUser.find(function (e) {
          return e.id == id
        })
        if (user && user.gender == 0) {
          return AVATAR_MALE
        } else return AVATAR_FEMALE
      }
      return
    },
    convertUser(id) {
      if (this.listUser.length > 0) {
        const user = this.listUser.find(function (e) {
          return e.id == id
        })
        return user.name
      }
      return
    },
    async deleteComment(id) {
      await this.$axios.$delete(API_COMMENT + id)
      this.$emit('deleteComment')
    },

    editComment(id) {
        this.$emit('editComment', id)
    },
  },
}
</script>

<style>
</style>